import React,{Fragment} from 'react';
import moment from 'moment';
import { withRouter } from "react-router-dom";
import ItemNav from "../../components/ItemNav";
import ItemTableQuery from "../../components/ItemTableQuery";
import ItemTable from "../../components/ItemTable";
import HttpClient from "../../service/HttpClient";
import Api from "../../service/Api";
import { set, get } from "../../service/Global";
import {Radio, Button, Empty, Modal, Table, Input,Form, Select,Popconfirm,message, Upload, Icon,DatePicker} from 'antd';
import {dateFormat, parseParams} from "../../service/utils";
import {Store} from "marine";
import './index.scss'
const { TextArea } = Input;
const { RangePicker } = DatePicker;

@withRouter
 class MainConfig extends React.Component{
  constructor(props){
    super(props);
    this.state={
      visible: false,
      platData:[],
      channelData:[],
      dataSource:{},
      currencyData:[],
      list:{},
      selectedRowKeys:[],
      loading: false,
    }
  }
  form;
  defaultParams = {
    page:1,
    pageSize:10
  };
  itemNav = {
    list: [{ anchor: "主体配置" }],
  };
  columns = [
    { title: "序号", dataIndex: "platform", key: "platform",},
    { title: "主体名称", dataIndex: "channel", key: "channel", },
    { title: "关联项目", dataIndex: "type", key: "type", },
    { title: "操作", dataIndex: "operate", key: "operate",render:(text,record)=>{
      return <div>
        <Button type='default' className='ml-10 edit' onClick={()=> this.showBatchModal(record)}>修改</Button>
         {/* <Popconfirm
        title="你确定删除吗?"
        onConfirm={()=>{this.handleDelete(record.id)}}
        //onCancel={this.cancel}
        okText="Yes"
        cancelText="No"
        >
          <Button type='link ml-20 delete-red' >删除</Button>
        </Popconfirm> */}
      </div> 
    }}
  ];
  handleDelete=(id)=>{
    return HttpClient.post(Api.warnDelete,{id:id}).then(data => {
        if(data){
            message.success('删除成功！');
            this.getList(this.defaultParams)
        }
        
      })
  }
  getList(params){
    return HttpClient.post(Api.warnList,{...params,}).then(data => {
      this.setState({
        dataSource: data,
      })
    })
  }

  getPlatList(){
    return HttpClient.post(Api.platformList).then(data => {
      let tmp=[]
      for(var i in data){
        if(i!=0){
          let obj= {id:i,name:data[i]}
          tmp.push(obj)
        }
        
      }
      this.setState({
        platData:tmp
      })
    })
  }
  channelList=()=>{
    return HttpClient.post(Api.channelList).then(data => {
      let tmp=[]
      for(var i in data){
        if(i!=0){
          let obj= {id:i,name:data[i]}
          tmp.push(obj)
        }
      }
      this.setState({
        channelData:tmp
      })
    })
  }
  currencyList=()=>{
    return HttpClient.post(Api.currencyList).then(data => {
      let tmp=[]
      for(var i in data){
        if(i!=0){
          let obj= {id:i,name:data[i]}
          tmp.push(obj)
        }
      }
      this.setState({
        currencyData:tmp
      })
    })
  }
  pager = (page) => {
    this.defaultParams = Object.assign({},this.defaultParams,{page:page});
    this.getList(this.defaultParams);
  };
  onShowSizeChange=(current, pageSize)=> {
    this.defaultParams = Object.assign({},this.defaultParams,{page:current,pageSize:pageSize});
    this.getList(this.defaultParams);
  }
  getTableQuery=(params)=>{
   
    this.defaultParams = Object.assign(this.defaultParams,{...params});
    this.getList(this.defaultParams);
  };
  resetParams = ()=>{
    this.defaultParams = {};
    this.setState({
      tableData:{}
    })
  };

  handleCancel = () => {
    this.setState({ visible: false });
  };
  handleOk=()=>{
    const id=this.state.list.id;
    this.props.form.validateFields((err, values) => {
      if (!err) {
        console.log('Received values of form: ', values);
        if(id){
          HttpClient.post(Api.warnEdit,{...values,id:id}).then(data => {
           
            this.setState({ visible: false });
            this.getList(this.defaultParams)
           })
        }else{
          HttpClient.post(Api.warnAdd,{...values}).then(data => {
           
            this.setState({ visible: false });
            this.getList(this.defaultParams)
           })
        }
       
      }
    });
    
  }
 
 
  showBatchModal = (list) => {
    //  if(list){
    //   this.setState({visible: true,list});
    // }else{

    //   this.setState({visible: true,list:{}});
    // }
    this.props.history.push('/main/detail');
  };
  handleStart=(status)=>{
    const that=this;
    const {selectedRowKeys}=this.state;
    if(selectedRowKeys.length==0){
      message.info('请至少选择一个！');
      return;
    }
    
    return HttpClient.post(Api.warnStatusAll,{status,ids:selectedRowKeys.join('#')}).then(data => {
     if(data){
       message.success('操作成功');
       this.getList(this.defaultParams);
       that.setState({
         selectedRowKeys:null,
       })
     }
    })
  }

  componentDidMount() {
    // this.getPlatList();
    // this.channelList()
    // this.currencyList()
    this.getList(this.defaultParams)
  }
 
  render() {
  
    
   
    return(
      <Fragment>
            <ItemNav itemNav={this.itemNav} />
            <section className='content-base'>
          <div className='mb-20 formwrapper'>
            <Button type='primary' className='ml-20' onClick={()=> this.showBatchModal()}>新增</Button>
          </div>
         
          <ItemTable columns={this.columns} dataSource={this.state.dataSource} pager={this.pager}  onShowSizeChange={this.onShowSizeChange} />
        </section>
        
      </Fragment>
    )
  }
}
export default MainConfig;