import React,{Fragment} from 'react';
import moment from 'moment';
import { withRouter } from "react-router-dom";
import ItemNav from "../../components/ItemNav";
import ItemTableQuery from "../../components/ItemTableQuery";
import ItemTable from "../../components/ItemTable";
import HttpClient from "../../service/HttpClient";
import Api from "../../service/Api";
import { set, get } from "../../service/Global";
import {Switch, Button, Empty, Modal, Table, Input,Form, Select,Popconfirm,message, Upload, Icon,DatePicker} from 'antd';
import {dateFormat, parseParams} from "../../service/utils";
import {Store} from "marine";
import './index.css'
const { TextArea } = Input;
const { RangePicker } = DatePicker;

@withRouter
 class ShowMange extends React.Component{
  constructor(props){
    super(props);
    this.state={
      visible: false,
      platData:[],
      channelData:[],
      dataSource:{},
      currencyData:[],
      list:{},
      selectedRowKeys:[],
      loading: false,
    }
  }
  form;
  defaultParams = {
    page:1,
    pageSize:10
  };
  itemNav = {
    list: [{ anchor: "目录管理" }],
  };
  columns = [
    { title: "序号/ID", dataIndex: "platform", key: "platform",},
    { title: "一级目录", dataIndex: "channel", key: "channel",},
    { title: "二级目录", dataIndex: "type", key: "type", },
    { title: "状态", dataIndex: "oneWithdrawal", key: "oneWithdrawal",
    render:(text)=>{
      return <div>
        <Switch defaultChecked   onChange={this.onChange}/>
      </div>
    }
  },
   
    
  ];
   onChange=(checked)=> {
    console.log(`switch to ${checked}`);
  }
  pager = (page) => {
    this.defaultParams = Object.assign({},this.defaultParams,{page:page});
    this.getList(this.defaultParams);
  };
  onShowSizeChange=(current, pageSize)=> {
    this.defaultParams = Object.assign({},this.defaultParams,{page:current,pageSize:pageSize});
    this.getList(this.defaultParams);
  }
  getTableQuery=(params)=>{
   
    this.defaultParams = Object.assign(this.defaultParams,{...params});
    this.getList(this.defaultParams);
  };
  resetParams = ()=>{
    this.defaultParams = {};
    this.setState({
      tableData:{}
    })
  };

  getList(params){
    return HttpClient.post(Api.warnList,{...params,}).then(data => {
      this.setState({
        dataSource: data,
      })
    })
  }
 
 


  componentDidMount() {
   
    this.getList(this.defaultParams)
  }

  render() {

    return(
      <Fragment>
            <ItemNav itemNav={this.itemNav} />
            <section className='content-base'>
         
          <ItemTable columns={this.columns} dataSource={this.state.dataSource} pager={this.pager}  onShowSizeChange={this.onShowSizeChange} />
          <div>
            <Button type='primary'>提交</Button>
          </div>
        </section>
     
      </Fragment>
    )
  }
}
export default ShowMange